package org.diagbot.nlp.util;

/**
 * Created by Administrator on 2017/11/8.
 */
public enum NegativeEnum {
    NUMBER("0"), SYMPTOM("1"), EVENT_TIME("2"), BODY_PART("3"), PROPERTY("4"), CAUSE("5"), DEEP("6"), FEMININE("7"), POSITIVE("8"),
    UNIT("9"), MEDICINE("10"), TREATMENT("11"),
    LIS_TYPE("13"), LIS_NAME("14"), LIS_RESULT("15"), WAY("16"),
    PACS_NAME("17"), PACS_RESULT("18"),
    DISEASE("19"), JOIN("20"), POSITION("21"), FAMILY("24"), FOOD("27"), PAST("28"), OPERATION("29"),
    HABIT("25"), SYMPTOM_PERFORMANCE("32"), EVENT_TIME_VALUE("33"), FREQUENCY("34"),
    OTHER("99"),
    VITAL_INDEX("60"), VITAL_INDEX_VALUE("61"), VITAL_RESULT("62"), VITAL_BODY_PART("63"),
    ADDRESS("70"), PERSON("72"), PERSON_FEATURE_DESC("73");
    private String value;

    NegativeEnum(String value) {
        this.value = value;
    }

    public String toString() {
        return value;
    }

    public static org.diagbot.nlp.util.NegativeEnum parseOfValue(String value) {
        if (value == null) return org.diagbot.nlp.util.NegativeEnum.OTHER;
        org.diagbot.nlp.util.NegativeEnum negativeEnum = org.diagbot.nlp.util.NegativeEnum.OTHER;
        switch (value) {
            case "0":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.NUMBER;
                break;
            case "1":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.SYMPTOM;
                break;
            case "2":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.EVENT_TIME;
                break;
            case "3":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.BODY_PART;
                break;
            case "4":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.PROPERTY;
                break;
            case "5":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.CAUSE;
                break;
            case "6":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.DEEP;
                break;
            case "7":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.FEMININE;
                break;
            case "8":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.POSITIVE;
                break;
            case "9":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.UNIT;
                break;
            case "10":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.MEDICINE;
                break;
            case "11":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.TREATMENT;
                break;
            case "13":
                negativeEnum = NegativeEnum.LIS_TYPE;
                break;
            case "14":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.LIS_NAME;
                break;
            case "15":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.LIS_RESULT;
                break;
            case "16":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.WAY;
                break;
            case "17":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.PACS_NAME;
                break;
            case "18":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.PACS_RESULT;
                break;
            case "19":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.DISEASE;
                break;
            case "20":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.JOIN;
                break;
            case "21":
                negativeEnum = NegativeEnum.POSITION;
                break;
            case "24":
                negativeEnum = NegativeEnum.FAMILY;
                break;
            case "25":
                negativeEnum = NegativeEnum.HABIT;
                break;
            case "27":
                negativeEnum = NegativeEnum.FOOD;
                break;
            case "28":
                negativeEnum = NegativeEnum.PAST;
                break;
            case "29":
                negativeEnum = NegativeEnum.OPERATION;
                break;
            case "32":
                negativeEnum = NegativeEnum.SYMPTOM_PERFORMANCE;
                break;
            case "33":
                negativeEnum = NegativeEnum.EVENT_TIME_VALUE;
                break;
            case "34":
                negativeEnum = NegativeEnum.FREQUENCY;
                break;
            case "60":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_INDEX;
                break;
            case "61":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_INDEX_VALUE;
                break;
            case "62":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_RESULT;
                break;
            case "63":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_BODY_PART;
                break;
            case "70":
                negativeEnum = NegativeEnum.ADDRESS;
                break;
            case "72":
                negativeEnum = NegativeEnum.PERSON;
                break;
            case "73":
                negativeEnum = NegativeEnum.PERSON_FEATURE_DESC;
                break;
            case "99":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.OTHER;
                break;
        }
        return negativeEnum;
    }
}
